View Issue Details

IDProjectCategoryView StatusLast Update
0001373FreeCADFeaturepublic2014-02-24 15:02
ReportershoogenAssigned To 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001373: Expose BRepExtrema_DistShapeShape to python
DescriptionExpose BRepExtrema_DistShapeShape to python
TagsNo tags attached.

Relationships

child of 0001439 closedyorik Draft use DistShapeShape in DraftGeomUtils.findIntersection 

Activities

wandererfan

2014-02-14 14:34

manager   ~0004221

I've got this one. Have the extrema points & type of support done, just trying to get the index to the supports.

wandererfan

2014-02-16 01:16

manager  

distToShape.py (Attachment missing)

wandererfan

2014-02-16 01:17

manager   ~0004225

https://github.com/WandererFan/freecad-dev/commits/distToShape

attached distToShape.py is a tester.

wandererfan

2014-02-16 23:00

manager  

distToShapeRevd.py (Attachment missing)

wandererfan

2014-02-16 23:01

manager   ~0004231

distToShape.py should be deleted.

distToShapeRevd.py conforms to a newer output format.

Related Changesets

FreeCAD: master dcc48399

2014-02-14 19:08:52

wandererfan


Committer: wmayer Details Diff
Add Part.distToShape() Affected Issues
0001373
mod - src/Mod/Part/App/TopoShapePy.xml Diff File
mod - src/Mod/Part/App/TopoShapePyImp.cpp Diff File

FreeCAD: master ea0e7bed

2014-02-16 23:56:21

wandererfan


Committer: wmayer Details Diff
revise Part.distToShape return value format Affected Issues
0001373
mod - src/Mod/Part/App/TopoShapePyImp.cpp Diff File

Issue History

Date Modified Username Field Change
2014-01-29 16:12 shoogen New Issue
2014-02-14 14:34 wandererfan Note Added: 0004221
2014-02-16 01:16 wandererfan File Added: distToShape.py
2014-02-16 01:17 wandererfan Note Added: 0004225
2014-02-16 23:00 wandererfan File Added: distToShapeRevd.py
2014-02-16 23:01 wandererfan Note Added: 0004231
2014-02-17 09:46 wmayer Status new => closed
2014-02-17 09:46 wmayer Resolution open => fixed
2014-02-17 09:46 wmayer Fixed in Version => 0.14
2014-02-24 10:16 shoogen Relationship added child of 0001439
2014-02-24 15:01 yorik Changeset attached => FreeCAD Master master ea0e7bed
2014-02-24 15:02 yorik Changeset attached => FreeCAD Master master dcc48399